'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var react = require('react');

var getMql = function () {
    if (typeof window === 'undefined') {
        return;
    }
    return window.matchMedia && window.matchMedia('(prefers-color-scheme: dark)');
};
var getSystemTheme = function (matches) { return matches ? 'dark' : 'light'; };
function useSystemTheme() {
    var isServer = typeof window === 'undefined';
    var initTheme = isServer ? 'light' : getSystemTheme(getMql().matches);
    var _a = react.useState(initTheme), systemTheme = _a[0], setSystemTheme = _a[1];
    var mql = getMql();
    react.useEffect(function () {
        var mqlListener = function (e) { return setSystemTheme(getSystemTheme(e.matches)); };
        if (mql) {
            setSystemTheme(getSystemTheme(mql.matches));
            mql.addListener(mqlListener);
        }
        return function () { return mql && mql.removeListener(mqlListener); };
    }, []);
    return systemTheme;
}

exports.default = useSystemTheme;
//# sourceMappingURL=index.js.map
